사용자

팔로우 관계 확인

GET /v1/users/{screen_name}/relationship/{other_screen_name} reads 1 크레딧

두 계정의 관계: 첫 번째 계정이 두 번째 계정을 팔로우하는지, 그리고 맞팔로우를 받고 있는지.

응답

두 계정의 참조, 첫 번째 계정 관점의 following과 followed_by, 그리고 X가 공개하는 추가 플래그(예: can_dm). 두 핸들은 서로 달라야 합니다.

상태: 200, 400, 404, 429, 502

요청
curl https://api.xsignalfeed.com/v1/users/elonmusk/relationship/jack \
  -H "Authorization: Bearer xsf_your_key"
응답 · 200 / 400
{
  "source": {
    "id": "44196397",
    "screen_name": "elonmusk"
  },
  "target": {
    "id": "12",
    "screen_name": "jack"
  },
  "following": true,
  "followed_by": true,
  "can_dm": true
}